---
updatedAt: 2026-05-13T20:48:29.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further.

# Create recurrence

Initiate a payment request to create a Pix Automatic recurrence payment authorization. 

The Central Bank of Brazil (BACEN) created Pix Automatic - a feature that allows for scheduled and automatic recurring transfers.  

For more information, refer to [Pix Automatic](https://developers.pismo.io/pismo-docs/docs/pix-automatic) 


# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Instant payments - Automatic Pix",
    "description": "API to handle Automatic Pix transactions",
    "termsOfService": "https://developers.pismo.io/terms/",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/",
      "email": "support@pismo.com.br"
    },
    "license": {
      "name": "Copyright Pismo",
      "url": "https://developers.pismo.io/licenses/"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox-cdn.pismolabs.io",
      "description": "Ext API server for testing"
    },
    {
      "url": "https://sandbox-cdn.pismolabs.io/inst-pull-pay",
      "description": "Ext API server for testing Automatic Pix"
    }
  ],
  "tags": [
    {
      "name": "Automatic Pix",
      "description": "Automatic Pix endpoints."
    }
  ],
  "components": {
    "parameters": {
      "AccountIdHeader": {
        "name": "x-account",
        "in": "header",
        "schema": {
          "type": "integer"
        },
        "description": "Pismo account ID.",
        "required": true,
        "example": 5869300
      },
      "IdempotencyKeyHeader": {
        "name": "Idempotency-Key",
        "in": "header",
        "description": "A unique ID to ensure the operation remains idempotent, allowing for operation repitition without causing unintended effects or duplication. An idempotent operation is one that can be applied multiple times, yet the outcome remains the same. it ensures that network errors, retries, or failures can occur without introducing inconsistencies.\n",
        "required": true,
        "schema": {
          "type": "string"
        }
      },
      "OrgIdHeader": {
        "name": "x-tenant",
        "in": "header",
        "description": "Organization ID\n",
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "AccountNumber2": {
        "type": "string",
        "description": "Payer's account number.",
        "maxLength": 20,
        "example": "98765432"
      },
      "AccountType": {
        "type": "string",
        "enum": [
          "CACC",
          "SLRY",
          "SVGS",
          "TRAN"
        ],
        "maxLength": 4,
        "description": "Account type: <br />\n  `CACC` - Checking account<br />\n  `SVGS` - Savings account<br />\n  `TRAN` - Transactional account (Brazil only). Also known as \"conta corrente\" in Portuguese, this is a bank account type designed for everyday financial transactions and is the most common type individuals and businesses use for day-to-day banking. <br />\n  `SLRY` - Salary account. Employer deposits a fixed amount every month.<br />\n",
        "example": "TRAN"
      },
      "AllowAttemptsAfterExpiration": {
        "type": "boolean",
        "description": "Will charge continue after due date?"
      },
      "Amount": {
        "type": "number",
        "description": "Amount to be transferred.",
        "example": 1050.44
      },
      "AuthorizationID": {
        "type": "string",
        "description": "Authorization ID the same as BACEN (Brazil Central Bank) IdSoliReq (request identification code)",
        "example": "IS0435879820240605bcdb1fhn43a"
      },
      "AuthorizationReasonCode": {
        "type": "string",
        "description": "Authorization reason code. \n\n**Note:** \"pain.009\" is a message sent to the payer when the payee starts a #1 journey (`AUT1`) Automatic Pix recurrence\n\n* `AC01` - Account not found or not belonging to the paying user\n* `AC04` - Paying user's transactional account is closed\n* `AC06` - Paying user's transactional account is blocked\n* `AP01` - Discrepancy in the field for updating periodic payments recurrence data and the periodic payments recurrence status - lack of synchronization\n* `AP02` - Paying user's CPF/CNPJ  not found or different from the one in the original pain.009. Or, in the case of cancellation, the paying user's CPF/CNPJ does not match the one contained in the perioduc payments recurrence data.\n* `AP03` - Paying user's branch not found\n* `AP04` - Invalid recurrence ID or does not match the original\n* `AP05` - Inconsistent recurrence status for periodic payments\n* `AP06` - Receiving user's CPF/CNPJ is different from the one in the pain.009 or the payload. Or, in the case of cancellation, the receiving user's CPF/CNPJ does not match the one contained in the periodic payments recurrence data.\n* `AP07` - Paying user's recurrence confirmation performed after the confirmation request's expiration or cancellation (pain.009)\n* `AP08` - First immediate payment associated with the recurrence was not identified. (Valid only for Authorization Journey 3 (`AUT3`))\n* `AP09` - Recurrence confirmation request for periodic payments was not identified to enable its cancellation\n* `AP10` - Cancellation requestor's CPF/CNPJ does not match the the paying/receiving user's or the paying/receiving PSP's identification contained in the periodic payments recurrence data.\n* `AP11` - Paying PSP's ISPB diverges from the information contained in the recurrence for periodic payments\n* `AP12` - Receiving PSP's ISPB diverges from the information contained in the recurrence for periodic payments\n* `AP13` = Paying user rejects periodic payments recurrence confirmation request due to receiving user non-recognition\n* `AP14` - Paying user rejects periodic payments recurrence confirmation request due to receiving user's lack of interest in using Pix Automatic\n* `AP15` - Paying user's participant rejects recurrence confirmation request for periodic payments as they chose not to offer Pix Automatic usage for corporate clients\n* `CH16` - Incorrect or incompatible message content with business rules\n* `MD01` - Cancellation request's recurrence object does not exist. Should not be used for cancellation requests of pain.009 with status = `PDNG`. That is, a recurrence with status = `PDNG` should be considered as an existing recurrence.\n* `MD20` - Cancellation request's recurrence object has already expired.\n",
        "enum": [
          "AC01",
          "AC04",
          "AC06",
          "AP01",
          "AP02",
          "AP03",
          "AP04",
          "AP05",
          "AP06",
          "AP07",
          "AP08",
          "AP09",
          "AP10",
          "AP11",
          "AP12",
          "AP13",
          "AP14",
          "AP15",
          "CH16",
          "MD01",
          "MD20"
        ],
        "example": "AC01"
      },
      "AuthorizationResponse": {
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/AuthorizationID"
          },
          "expiration_date": {
            "$ref": "#/components/schemas/ExpirationDate"
          },
          "creted_at": {
            "$ref": "#/components/schemas/CreatedAt"
          },
          "updated_at": {
            "$ref": "#/components/schemas/UpdatedAt"
          },
          "reason_code": {
            "$ref": "#/components/schemas/AuthorizationReasonCode"
          },
          "status": {
            "type": "string",
            "description": "Authorization status",
            "enum": [
              "CREATED",
              "RECEIVED",
              "ACCEPTED",
              "REJECTED",
              "EXPIRED",
              "CANCELLED"
            ],
            "example": "ACCEPTED"
          },
          "payer": {
            "$ref": "#/components/schemas/Payer"
          }
        }
      },
      "BacenReasonCode": {
        "type": "string",
        "description": "Cancellation reason code:   \n\n* `ACCL` - Paying receiving user's account cancelled\n* `CPCL` - Receiving company closure\n* `DCSD` - Paying user death \n* `ERSL` - Receiving user, or their participant, request cancelled due to confirmation request error\n* `FRUD` - Fraud\n* `PCFD` - Receiving user participant request because the same recurrence was confirmed another way, for example, via QR code\n* `SLCR` - Receiving user request\n* `SLDB` - Paying user request\n* `OTHS` - Requested by either the payer's participant or the receiver's participant for other reasons not specified in the previous categories\n* `NRES` - Receiving PSP request due to lack of response to pain.009 within the regulatory period\n",
        "enum": [
          "ACCL",
          "CPCL",
          "DCSD",
          "ERSL",
          "FRUD",
          "PCFD",
          "SLCR",
          "SLDB",
          "OTHS",
          "NRES"
        ],
        "example": "ACCL"
      },
      "Bank": {
        "type": "string",
        "description": "<a href=\"https://bank.codes/numero-do-banco/bank/banco-central-do-brasil/\" target=\"_blank\">ISPB (Identifcador do Sistema de Pagamento Brazil)</a> - the Brazilian Payment System ID for the receiving bank, an 8-digit value.",
        "maxLength": 8,
        "example": "237"
      },
      "Branch": {
        "type": "string",
        "description": "This could be a bank-assigned branch ID or the branch's ISPB number.",
        "maxLength": 4,
        "example": "011"
      },
      "CityCode": {
        "type": "string",
        "description": "The <a href='https://www.ibge.gov.br/explica/codigos-dos-municipios.php' target=\"_blank\">IBGE</a> (Instituto Brasileiro de Geografia e Estatística) city code.",
        "example": "3550308"
      },
      "ContractID": {
        "type": "string",
        "description": "Payee-created external ID for their reference.\n",
        "maxLength": 35,
        "example": "5509-uroo-78944-9987"
      },
      "CreatedAt": {
        "type": "string",
        "format": "datetime",
        "description": "Created at datetime. RFC 3339 format \n",
        "example": "2025-11-14T17:54:40Z"
      },
      "customer.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.PayloadMessage"
            }
          }
        }
      },
      "customer.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error's code.",
            "example": "EPT0001"
          },
          "details": {
            "$ref": "#/components/schemas/customer.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error's message.",
            "example": "User not found"
          }
        }
      },
      "customer.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code.",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message.",
            "example": "Generic error"
          }
        }
      },
      "customer.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message about parameter",
            "example": "Generic error"
          }
        }
      },
      "customer.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Payload parameter",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Message about error",
            "example": "Generic error"
          }
        }
      },
      "Debtor": {
        "type": "object",
        "required": [
          "document_number",
          "document_type",
          "name"
        ],
        "properties": {
          "document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "document_type": {
            "$ref": "#/components/schemas/PersonType"
          },
          "name": {
            "$ref": "#/components/schemas/Name"
          }
        }
      },
      "DocumentNumber": {
        "type": "string",
        "description": "A government document number, such as a Social Security number (US) or Cadastro de Pessoas Físicas number (Brazil). Must be numeric with 11-14 digits.\n",
        "minLength": 1,
        "maxLength": 14,
        "example": "123412341234"
      },
      "DynamicAmount": {
        "type": "boolean",
        "description": "Does recurrence have a dynamic amount? \n\nIf `true`, `min_payment_amount` is **REQUIRED**. \n\nIf `false`, `amount` is **REQUIRED**. Default is `false`.\n",
        "default": false,
        "example": false
      },
      "ExpirationDate": {
        "type": "string",
        "format": "datetime",
        "description": "Authorization expiration date. RFC 3339 value. Format = YYYY-MM-DDThh:mm:ss.SSSZ",
        "example": "2020-08-13T13:49:03.000Z"
      },
      "ExpirationDateCreateRecRequest": {
        "type": "string",
        "format": "datetime",
        "description": "Authorization expiration date, must be at least 2 days before the `first_payment_date`. \n\nRFC 3339 value. Format = YYYY-MM-DDThh:mm:ss.SSSZ\n\nIf not passed,  the `expiration_date` is automatically generated, up to 2 days before the `first_payment_date`, or a maximum of 30 days from the current date, whichever is due first\n",
        "example": "2020-08-13T13:49:03.000Z"
      },
      "FirstPaymentDate": {
        "type": "string",
        "format": "datetime",
        "description": "First charge/payment date. Format = yyyy-mm-dd",
        "example": "2025-04-25"
      },
      "FirstPaymentDateCreateRecRequest": {
        "type": "string",
        "format": "datetime",
        "description": "First charge/payment date, must be more than 2 days ahead the recurrence creation date. Format = yyyy-mm-dd",
        "example": "2025-04-25"
      },
      "FrequencyType": {
        "type": "string",
        "description": "Recurrence payment type",
        "enum": [
          "WEEK",
          "MONTH",
          "QUARTER",
          "SEMESTER",
          "YEAR"
        ],
        "example": "MONTH"
      },
      "IsWorkingDays": {
        "type": "boolean",
        "description": "If the recurrence will only execute on working days",
        "example": false
      },
      "JourneyType": {
        "type": "string",
        "description": "Recurrence payment type: \n\n `AUT1` - Bank notification. If the merchant has the payer's banking information, a push notification can be sent directly to the payer's bank app, prompting them to authorize the recurring payment.\n \n `AUT2` - Authorization via QR code. Payer scans a merchant provided QR code to authorize recurring payments. This method does not initiate an immediate payment, allowing the first payment to be scheduled for a later date.\n \n `AUT3` - Authorization via QR code with first payment.  Similar to the second method, but the QR code includes information for both the authorization and the initial payment, enabling the payer to authorize the recurring payment and make the first payment in a single step.\n \n `AUT4` - Post-payment sign-up path. After completing a one-time payment via QR code, the payer is offered the option to authorize recurring payments for future transactions\n",
        "enum": [
          "AUT1",
          "AUT2",
          "AUT3",
          "AUT4"
        ],
        "example": "AUT1"
      },
      "LastPaymentDate": {
        "type": "string",
        "format": "datetime",
        "description": "Last charge/payment date. Format = yyyy-mm-dd",
        "example": "2026-06-10"
      },
      "MaxPaymentAmount": {
        "type": "number",
        "description": "Payer-defined maximum payment amount for dynamic amount recurrences.",
        "example": 86753.09
      },
      "MinPaymentAmount": {
        "type": "number",
        "description": "Payee-defined minimum payment amount for dynamic amount recurrences.",
        "example": 10.09
      },
      "Name": {
        "type": "string",
        "description": "Name",
        "maxLength": 200,
        "example": "Walter Melon"
      },
      "Payee": {
        "type": "object",
        "required": [
          "document_number",
          "document_type",
          "name",
          "bank",
          "branch",
          "account_number",
          "account_type"
        ],
        "properties": {
          "name": {
            "$ref": "#/components/schemas/Name"
          },
          "document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "document_type": {
            "$ref": "#/components/schemas/PersonType"
          },
          "bank": {
            "$ref": "#/components/schemas/Bank"
          },
          "branch": {
            "$ref": "#/components/schemas/Branch"
          },
          "account_number": {
            "$ref": "#/components/schemas/AccountNumber2"
          },
          "account_type": {
            "$ref": "#/components/schemas/AccountType"
          }
        }
      },
      "Payer": {
        "type": "object",
        "required": [
          "document_number",
          "document_type",
          "name",
          "bank",
          "branch",
          "account_number"
        ],
        "properties": {
          "document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "document_type": {
            "$ref": "#/components/schemas/PersonType"
          },
          "name": {
            "$ref": "#/components/schemas/Name"
          },
          "bank": {
            "$ref": "#/components/schemas/Bank"
          },
          "branch": {
            "$ref": "#/components/schemas/Branch"
          },
          "account_number": {
            "$ref": "#/components/schemas/AccountNumber2"
          },
          "account_type": {
            "$ref": "#/components/schemas/AccountType"
          },
          "city_code": {
            "$ref": "#/components/schemas/CityCode"
          }
        }
      },
      "PersonType": {
        "type": "string",
        "description": "Person type:  \n* `LEGAL_PERSON` - An actual person with legal rights.\n* `NATURAL_PERSON` - An entity, such as an organization or company.\n",
        "enum": [
          "LEGAL_PERSON",
          "NATURAL_PERSON"
        ],
        "example": "NATURAL_PERSON"
      },
      "RecordsWithOutCategory": {
        "type": "object",
        "properties": {
          "tax_type": {
            "$ref": "#/components/schemas/TaxType"
          },
          "amount": {
            "$ref": "#/components/schemas/TaxAmount"
          }
        }
      },
      "RecordsWithCategory": {
        "type": "object",
        "properties": {
          "tax_type": {
            "$ref": "#/components/schemas/TaxType"
          },
          "tax_category": {
            "$ref": "#/components/schemas/TaxCategory"
          },
          "amount": {
            "$ref": "#/components/schemas/TaxAmount"
          }
        }
      },
      "RecurrenceDescription": {
        "type": "string",
        "description": "Recurrence payment description",
        "maxLength": 35,
        "example": "Gym membership"
      },
      "RecurrenceID": {
        "type": "string",
        "description": "BACEN recurrence ID",
        "example": "RN000000012025050500012345678"
      },
      "RecurrenceRequest": {
        "type": "object",
        "description": "Recurrence request",
        "required": [
          "contract_id",
          "description",
          "frequency_type",
          "allow_attempts_after_expiration",
          "first_payment_date",
          "debtor",
          "payer"
        ],
        "properties": {
          "contract_id": {
            "$ref": "#/components/schemas/ContractID"
          },
          "description": {
            "$ref": "#/components/schemas/RecurrenceDescription"
          },
          "frequency_type": {
            "$ref": "#/components/schemas/FrequencyType"
          },
          "allow_attempts_after_expiration": {
            "$ref": "#/components/schemas/AllowAttemptsAfterExpiration"
          },
          "first_payment_date": {
            "$ref": "#/components/schemas/FirstPaymentDateCreateRecRequest"
          },
          "debtor": {
            "$ref": "#/components/schemas/Debtor"
          },
          "payer": {
            "$ref": "#/components/schemas/Payer"
          },
          "dynamic_amount": {
            "$ref": "#/components/schemas/DynamicAmount"
          },
          "amount": {
            "$ref": "#/components/schemas/Amount"
          },
          "min_payment_amount": {
            "$ref": "#/components/schemas/MinPaymentAmount"
          },
          "last_payment_date": {
            "$ref": "#/components/schemas/LastPaymentDate"
          },
          "expiration_date": {
            "$ref": "#/components/schemas/ExpirationDateCreateRecRequest"
          },
          "taxes": {
            "$ref": "#/components/schemas/TaxesWithOutCategory"
          }
        }
      },
      "RecurrenceResponse": {
        "type": "object",
        "description": "Recurrence response",
        "properties": {
          "recurrence_id": {
            "$ref": "#/components/schemas/RecurrenceID"
          },
          "journey_type": {
            "$ref": "#/components/schemas/JourneyType"
          },
          "contract_id": {
            "$ref": "#/components/schemas/ContractID"
          },
          "description": {
            "$ref": "#/components/schemas/RecurrenceDescription"
          },
          "amount": {
            "$ref": "#/components/schemas/Amount"
          },
          "min_payment_amount": {
            "$ref": "#/components/schemas/MinPaymentAmount"
          },
          "max_payment_amount": {
            "$ref": "#/components/schemas/MaxPaymentAmount"
          },
          "dynamic_amount": {
            "$ref": "#/components/schemas/DynamicAmount"
          },
          "frequency_type": {
            "$ref": "#/components/schemas/FrequencyType"
          },
          "allow_attempts_after_expiration": {
            "$ref": "#/components/schemas/AllowAttemptsAfterExpiration"
          },
          "is_working_days": {
            "$ref": "#/components/schemas/IsWorkingDays"
          },
          "expiration_date": {
            "$ref": "#/components/schemas/ExpirationDate"
          },
          "first_payment_date": {
            "$ref": "#/components/schemas/FirstPaymentDate"
          },
          "last_payment_date": {
            "$ref": "#/components/schemas/LastPaymentDate"
          },
          "payee": {
            "$ref": "#/components/schemas/Payee"
          },
          "payer": {
            "$ref": "#/components/schemas/Payer"
          },
          "debtor": {
            "$ref": "#/components/schemas/Debtor"
          },
          "status": {
            "$ref": "#/components/schemas/RecurrenceStatus"
          },
          "reason_code": {
            "$ref": "#/components/schemas/BacenReasonCode"
          },
          "transaction_identification": {
            "$ref": "#/components/schemas/RecurrencTransactionIdentification"
          },
          "authorizations": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/AuthorizationResponse"
            }
          },
          "created_at": {
            "$ref": "#/components/schemas/CreatedAt"
          },
          "updated_at": {
            "$ref": "#/components/schemas/UpdatedAt"
          },
          "taxes": {
            "$ref": "#/components/schemas/TaxesWithCategory"
          }
        }
      },
      "RecurrenceStatus": {
        "type": "string",
        "description": "Recurrence status",
        "enum": [
          "CREATED",
          "ACCEPTED",
          "APPROVED",
          "REJECTED",
          "FINISHED",
          "EXPIRED",
          "CANCELLED"
        ],
        "example": "CREATED"
      },
      "RecurrencTransactionIdentification": {
        "type": "string",
        "description": "Recurrence transaction ID. \n",
        "example": "1a84daf6-a61b-4aba-919a-a9943db7102e"
      },
      "TaxAmount": {
        "type": "number",
        "description": "Tax amount. Must be greater than zero.",
        "example": 1050.44
      },
      "TaxCategory": {
        "type": "string",
        "description": "Tax category: \n* `INF` (Conta e Ordem) = Tax information\n* `COR` (Informar no momento da emissão)) = Corrected tax\n",
        "example": "INF",
        "enum": [
          "INF",
          "COR"
        ]
      },
      "TaxIdentifier": {
        "type": "string",
        "description": "Tax identifier, referring to the NF-e, NFS-e or aggregating tax document. \n\nIn Brazil, NF-e and NFS-e are the two primary types of mandatory electronic invoices (Notas Fiscais) used for tax compliance.\n* NF-e (Nota Fiscal Eletrônica): Used for the sale and movement of physical goods or products. It is regulated at the state level by SEFAZ (SEFAZ (Secretaria da Fazenda) is the State Department of Finance in Brazil.) and travels with the goods.\n* NFS-e (Nota Fiscal de Serviços Eletrônica): Used for the provision of services (e.g., consulting, repairs, digital subscriptions). It is regulated by individual city governments.\n\nThe value entered must correspond to the tax document used for calculating the IBS and CBS taxes associated with the transaction.\n",
        "example": "IS0435879820240605bcdb1fhn43a",
        "maxLength": 50
      },
      "TaxesWithCategory": {
        "description": "Now only available on ext env and just for direct parciapants. Tax information related to the transaction.",
        "type": "object",
        "properties": {
          "tax_identifier": {
            "$ref": "#/components/schemas/TaxIdentifier"
          },
          "records": {
            "type": "array",
            "description": "Tax records. It is **REQUIRED** to pass a minimum of 2 objects and a maximum of 4 objects, at least one with `CBS` tax type and at least one with `IBS` tax type.",
            "items": {
              "$ref": "#/components/schemas/RecordsWithCategory"
            }
          }
        }
      },
      "TaxesWithOutCategory": {
        "type": "object",
        "description": "Only available in EXT environment for direct parciapants. Tax information related to the transaction.\n",
        "properties": {
          "tax_identifier": {
            "$ref": "#/components/schemas/TaxIdentifier"
          },
          "records": {
            "type": "array",
            "description": "Tax records. At least 2 objects are **REQUIRED** - at least one with `CBS` tax type and at least one with `IBS` tax type\n",
            "items": {
              "$ref": "#/components/schemas/RecordsWithOutCategory"
            }
          }
        }
      },
      "TaxType": {
        "type": "string",
        "description": "Tax type:\n* `IBS` = Goods and services tax. A state and municipal tax that unifies and replaces the main subnational consumption taxes (state ICMS and municipal ISS).\n* `CBS` = Contribution on goods and services. A federal tax that consolidates and replaces previous federal social contributions and taxes (PIS, Cofins, and IPI)\n",
        "enum": [
          "CBS",
          "IBS"
        ],
        "example": "IBS"
      },
      "UpdatedAt": {
        "type": "string",
        "description": "Scheduled item last updated time, RFC 3339 format",
        "example": "2024-11-14T17:54:40Z"
      }
    },
    "responses": {
      "400BadRequest": {
        "description": "Bad request",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "401Unauthorized": {
        "description": "Unauthorized. Missing or invalid authentication token.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "404NotFound": {
        "description": "Not found",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "500InternalServer": {
        "description": "Internal Server Error",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      }
    }
  },
  "paths": {
    "/inst-pull-pay/v1/pix/automatic": {
      "post": {
        "summary": "Create recurrence",
        "description": "Initiate a payment request to create a Pix Automatic recurrence payment authorization. \n\nThe Central Bank of Brazil (BACEN) created Pix Automatic - a feature that allows for scheduled and automatic recurring transfers.  \n\nFor more information, refer to [Pix Automatic](https://developers.pismo.io/pismo-docs/docs/pix-automatic) \n",
        "operationId": "post-recurrence-automatic",
        "tags": [
          "Automatic Pix"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AccountIdHeader"
          },
          {
            "$ref": "#/components/parameters/IdempotencyKeyHeader"
          },
          {
            "$ref": "#/components/parameters/OrgIdHeader"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/RecurrenceRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/RecurrenceResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```